Skip to content

Comment on a post in the feed

Request

Creates a new comment record for the content post. You may indicate a mention of a specific user by providing their user_id in the format of either {ref:user:<user_id>} or {ref:user::id:<user_id>}.

Security
oauth2_as_a_user(Required scopes: feeds.engage)
Path
content_idintegerrequired

ID or UUID of the content post

Bodyapplication/json

Comment data

bodystringrequired

Comment body

Example:"This is a comment or reply to a comment."
attachmentsArray of objects

An array of images to be associated with this comment. Note: currently only one image is supported. Note: This API does not resize or rehost images. The image should be appropriately sized and will be served from the provided URL.

curl -i -X POST \
  'https://partner.socialchorus.com/v2/feed/posts/{content_id}/comments' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "body": "This is a comment or reply to a comment.",
    "attachments": [
      {
        "url": "string",
        "alt_text": "string"
      }
    ]
  }'

Responses

Success

Bodyapplication/json
dataArray of objects(Feed.Comment.Resource)required
Response
{ "data": [ {} ] }